import { DB_TYPE } from "../../../../env.defaults";

export default abstract class DateMappingHelper {
  static mapDate(entry: any) {
    switch (DB_TYPE) {
      case "postgres":
        return `${entry?.years ?? 0} years ${entry?.months ?? 0} months ${entry?.days ?? 0} days`;
      case "mysql":
        return entry.toString();
      case "sqlite":
        return entry;
    }
  }
}
